## kaddressbook 25.08.2

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.2")
project(kaddressbook VERSION ${PIM_VERSION})
# Update it for each release
set(KADDRESSBOOK_RELEASE_VERSION_DATE "25.10.06") # yy.MM.dd

set(RELEASE_SERVICE_VERSION "25.08.2")
set(KF_MIN_VERSION "6.14.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

include(ECMSetupVersion)
include(ECMAddTests)
include(ECMCheckOutboundLicense)
include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    kontactplugin/*.cpp
    kontactplugin/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(CheckFunctionExists)

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(AKONADI_VERSION "6.5.2")
set(KONTACTINTERFACE_LIB_VERSION "6.5.2")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        Test
        DBus
        PrintSupport
)
set(LIBKDEPIM_LIB_VERSION "6.5.2")
set(LIBGRANTLEETHEME_LIB_VERSION "6.5.2")
set(PIMCOMMON_LIB_VERSION "6.5.2")
set(AKONADI_SEARCH_VERSION "6.5.2")
set(AKONADI_CONTACT_VERSION "6.5.2")
set(KLDAP_LIB_VERSION "6.5.2")

# Find KF6 package
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)

find_package(KF6UserFeedback ${KF_MIN_VERSION})
set_package_properties(
    KF6UserFeedback
    PROPERTIES
        DESCRIPTION
            "User Feedback lib"
        TYPE
            OPTIONAL
        PURPOSE
            "Allow to send Telemetry Information (optional)."
)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapCore ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)
if(UNIX)
    find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
else()
    find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG)
    set_package_properties(
        KPim6AkonadiSearch
        PROPERTIES
            DESCRIPTION
                "The Akonadi Search libraries"
            URL
                "https://invent.kde.org/pim/akonadi-search"
            TYPE
                OPTIONAL
            PURPOSE
                "Provides search capabilities in KAddressbook and Akonadi (only debug)"
    )
endif()

if(NOT KPim6AkonadiSearch_FOUND)
    add_definitions(-DFORCE_DISABLE_AKONADI_SEARCH)
endif()

find_package(KPim6AkonadiContactWidgets ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
find_package(KPim6GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)

include_directories(
    ${kaddressbook_SOURCE_DIR}
    ${kaddressbook_BINARY_DIR}
)

add_definitions(-DTRANSLATION_DOMAIN=\"kaddressbook\")
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0
     KF 6.16.0
)

if(TARGET KF6::UserFeedbackWidgets)
    set(KADDRESSBOOK_WITH_KUSERFEEDBACK true)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

if(TARGET KPim6::PimCommonActivities)
    option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities (experimental)" ON)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.3.0")
            set_package_properties(
                PlasmaActivities
                PROPERTIES
                    DESCRIPTION
                        "Allow to compile with plasma activities"
                    TYPE
                        OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

configure_file(config-kaddressbook.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kaddressbook.h)

add_subdirectory(src)
add_subdirectory(kontactplugin)

ecm_qt_install_logging_categories(
        EXPORT KADDRESSBOOK
        FILE kaddressbook.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    kontactplugin/*.cpp
    kontactplugin/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
configure_file(kaddressbook-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kaddressbook-version.h @ONLY)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/printing/)

add_subdirectory(icons)
add_subdirectory(printing)
add_subdirectory(configuration)
add_subdirectory(importexport)

add_library(kaddressbookprivate)

target_sources(
    kaddressbookprivate
    PRIVATE
        printing/detailed/detailledstyle.cpp
        printing/mike/mikesstyle.cpp
        printing/printingwizard.cpp
        printing/printprogress.cpp
        printing/printstyle.cpp
        printing/ringbinder/ringbinderstyle.cpp
        printing/compact/compactstyle.cpp
        printing/grantlee/grantleeprintstyle.cpp
        printing/stylepage.cpp
        plugininterface/kaddressbookplugininterface.cpp
        aboutdata.cpp
        categoryfilterproxymodel.cpp
        categoryselectwidget.cpp
        contactinfoproxymodel.cpp
        contactsorter.cpp
        contactswitcher.cpp
        globalcontactmodel.cpp
        mainwidget.cpp
        uistatesaver.cpp
        manageshowcollectionproperties.cpp
        modelcolumnmanager.cpp
        stylecontactlistdelegate.cpp
        widgets/quicksearchwidget.cpp
        printing/detailed/detailledstyle.h
        printing/mike/mikesstyle.h
        printing/printingwizard.h
        printing/printprogress.h
        printing/printstyle.h
        printing/ringbinder/ringbinderstyle.h
        printing/compact/compactstyle.h
        printing/grantlee/grantleeprintstyle.h
        printing/stylepage.h
        plugininterface/kaddressbookplugininterface.h
        aboutdata.h
        categoryfilterproxymodel.h
        categoryselectwidget.h
        contactinfoproxymodel.h
        contactsorter.h
        contactswitcher.h
        globalcontactmodel.h
        mainwidget.h
        uistatesaver.h
        manageshowcollectionproperties.h
        modelcolumnmanager.h
        stylecontactlistdelegate.h
        widgets/quicksearchwidget.h
        contactentitymimetypefiltermodel.h
        contactentitymimetypefiltermodel.cpp
        configuredialog.h
        configuredialog.cpp
        whatsnew/whatsnewtranslations.cpp
        whatsnew/whatsnewtranslations.h
)

ki18n_wrap_ui(kaddressbookprivate
    printing/ringbinder/rbs_appearance.ui
    printing/detailed/ds_appearance.ui
    printing/compact/compactstyle.ui
)

if(TARGET KF6::UserFeedbackWidgets)
    target_sources(
        kaddressbookprivate
        PRIVATE
            userfeedback/userfeedbackmanager.cpp
            userfeedback/kaddressbookuserfeedbackprovider.cpp
            userfeedback/userfeedbackmanager.h
            userfeedback/kaddressbookuserfeedbackprovider.h
    )
endif()

if(HAVE_ACTIVITY_SUPPORT)
    target_sources(
        kaddressbookprivate
        PRIVATE
            activities/activitiesmanager.h
            activities/activitiesmanager.cpp
            activities/ldapactivities.cpp
            activities/ldapactivities.h
            activities/accountactivities.h
            activities/accountactivities.cpp
    )
    if(BUILD_TESTING)
        add_subdirectory(activities/autotests)
    endif()
endif()

ecm_qt_declare_logging_category(kaddressbookprivate HEADER kaddressbook_debug.h IDENTIFIER KADDRESSBOOK_LOG CATEGORY_NAME org.kde.pim.kaddressbook
        DESCRIPTION "kaddressbook (kaddressbook)"
        OLD_CATEGORY_NAMES log_kaddressbook
        EXPORT KADDRESSBOOK
)

ecm_qt_declare_logging_category(kaddressbookprivate HEADER kaddressbook_activities_debug.h IDENTIFIER KADDRESSBOOK_ACTIVITIES_LOG CATEGORY_NAME org.kde.pim.kaddressbook.activities
        DESCRIPTION "kaddressbook activities (kaddressbook)"
        EXPORT KADDRESSBOOK
)

qt_add_dbus_adaptor(kaddressbook_LIB_SRCS org.kde.kaddressbook.xml mainwidget.h MainWidget)
target_sources(kaddressbookprivate PRIVATE ${kaddressbook_LIB_SRCS})

kconfig_add_kcfg_files(kaddressbookprivate settings/settings.kcfgc)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kaddressbookprivate
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(kaddressbookprivate BASE_NAME kaddressbook)
target_link_libraries(
    kaddressbookprivate
    PUBLIC
        KPim6::PimCommonAkonadi
    PRIVATE
        KPim6AddressbookImportExport
        KPim6::Libkdepim
        KPim6::AkonadiCore
        KF6::Contacts
        KPim6::AkonadiContactWidgets
        KF6::KCMUtils
        KPim6::GrantleeTheme
        KF6::Completion
        KF6::XmlGui
        KF6::JobWidgets
        KF6::KIOWidgets
        Qt::PrintSupport
        KF6::I18n
        KF6::ColorScheme
)
if(TARGET KF6::UserFeedbackWidgets)
    target_link_libraries(kaddressbookprivate PRIVATE KF6::UserFeedbackWidgets)
endif()

if(HAVE_ACTIVITY_SUPPORT)
    target_link_libraries(
        kaddressbookprivate
        PRIVATE
            KPim6::PimCommonActivities
            KPim6::LdapCore
    )
endif()

if(KPim6AkonadiSearch_FOUND)
    target_link_libraries(kaddressbookprivate PRIVATE KPim6::AkonadiSearchDebug)
endif()

target_include_directories(
    kaddressbookprivate
    PUBLIC
        "$<BUILD_INTERFACE:${kaddressbook_SOURCE_DIR};${kaddressbook_BINARY_DIR}>"
)

set_target_properties(
    kaddressbookprivate
    PROPERTIES
        VERSION
            ${KDEPIM_LIB_VERSION}
        SOVERSION
            ${KDEPIM_LIB_SOVERSION}
)
install(
    TARGETS
        kaddressbookprivate
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY
        NAMELINK_SKIP
)

########### next target ###############

add_executable(kaddressbook)
target_sources(
    kaddressbook
    PRIVATE
        kaddressbook_debug.cpp
        mainwindow.cpp
        mainwindow.h
        main.cpp
        kaddressbook.qrc
)
if(TARGET KF6::IconThemes)
    target_link_libraries(kaddressbook KF6::IconThemes)
endif()

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-kaddressbook.png")
ecm_add_app_icon(kaddressbook ICONS ${ICONS_SRCS})
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kaddressbook
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
if(TARGET KF6::UserFeedbackWidgets)
    target_link_libraries(kaddressbook KF6::UserFeedbackWidgets)
endif()

target_link_libraries(
    kaddressbook
    KF6::I18n
    KPim6::KontactInterface
    kaddressbookprivate
    KF6::Crash
)

install(
    TARGETS
        kaddressbook
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)
install(
    PROGRAMS
        data/org.kde.kaddressbook.desktop
        data/kaddressbook-view.desktop
        data/kaddressbook-importer.desktop
    DESTINATION ${KDE_INSTALL_APPDIR}
)
install(FILES data/org.kde.kaddressbook.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

####################################"
add_library(kaddressbookpart MODULE)

target_sources(
    kaddressbookpart
    PRIVATE
        kaddressbookpart.cpp
        kaddressbookpart.h
        kaddressbook_debug.cpp
        kaddressbook.qrc
)
target_link_libraries(
    kaddressbookpart
    kaddressbookprivate
    KF6::I18n
    KF6::Parts
)
install(TARGETS kaddressbookpart DESTINATION ${KDE_INSTALL_PLUGINDIR})

install(
    FILES
        viewertemplates/contact.html
        viewertemplates/contact_embedded.html
        viewertemplates/contact_row.html
        viewertemplates/contactgroup.html
        viewertemplates/contactgroup_embedded.html
        viewertemplates/contactgroup_additionalfieldrow.html
        viewertemplates/contactgroup_memberrow.html
        viewertemplates/theme.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/kaddressbook/viewertemplates/default/
)

install(DIRECTORY printing/grantlee/themes/ DESTINATION ${KDE_INSTALL_DATADIR}/kaddressbook/printing/themes/)

=== src/configuration/CMakeLists.txt ===
add_library(kaddressbook_config_plugins MODULE)

target_sources(
    kaddressbook_config_plugins
    PRIVATE
        kaddressbook_config_plugins.cpp
        kaddressbookconfigpluginlistwidget.cpp
        kaddressbook_config_plugins.h
        kaddressbookconfigpluginlistwidget.h
)

ecm_qt_declare_logging_category(kaddressbook_config_plugins HEADER kaddressbook_configure_debug.h IDENTIFIER KADDRESSBOOK_CONFIGURE_LOG CATEGORY_NAME org.kde.pim.kaddressbook_configure
        DESCRIPTION "kaddressbook (configure)"
        EXPORT KADDRESSBOOK
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kaddressbook_config_plugins
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
target_link_libraries(
    kaddressbook_config_plugins
    KF6::KCMUtils
    KF6::I18n
    kaddressbookprivate
    KPim6AddressbookImportExport
)

install(TARGETS kaddressbook_config_plugins DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/kaddressbook)

if(HAVE_ACTIVITY_SUPPORT)
    add_library(kaddressbook_config_activities MODULE)

    target_sources(
        kaddressbook_config_activities
        PRIVATE
            kaddressbook_config_activities.cpp
            kaddressbook_config_activities.h
    )

    ecm_qt_declare_logging_category(kaddressbook_config_activities HEADER kaddressbook_configure_debug.h IDENTIFIER KADDRESSBOOK_CONFIGURE_LOG CATEGORY_NAME org.kde.pim.kaddressbook_configure
        DESCRIPTION "kaddressbook (configure)"
        EXPORT KADDRESSBOOK
    )

    if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
        set_target_properties(
            kaddressbook_config_activities
            PROPERTIES
                UNITY_BUILD
                    ON
        )
    endif()
    target_link_libraries(
        kaddressbook_config_activities
        KF6::KCMUtils
        KF6::I18n
        kaddressbookprivate
        KPim6::PimCommonActivities
    )

    install(TARGETS kaddressbook_config_activities DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/kaddressbook)
endif()

##################################################
if(TARGET KF6::UserFeedbackWidgets)
    add_library(kaddressbook_config_userfeedback MODULE)

    target_sources(
        kaddressbook_config_userfeedback
        PRIVATE
            kaddressbook_config_userfeedback.cpp
            kaddressbook_config_userfeedback.h
    )

    target_link_libraries(
        kaddressbook_config_userfeedback
        KF6::KCMUtils
        KF6::I18n
        kaddressbookprivate
        KF6::UserFeedbackWidgets
    )

    install(TARGETS kaddressbook_config_userfeedback DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/kaddressbook)
endif()
######################################################

add_library(kaddressbook_config_ldap MODULE)

target_sources(
    kaddressbook_config_ldap
    PRIVATE
        kaddressbook_config_ldap.h
        kaddressbook_config_ldap.cpp
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        kaddressbook_config_ldap
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
target_link_libraries(
    kaddressbook_config_ldap
    KF6::KCMUtils
    KF6::I18n
    kaddressbookprivate
    KPim6::LdapWidgets
)

if(TARGET KPim6::PimCommonActivities)
    target_link_libraries(kaddressbook_config_ldap KPim6::PimCommonActivities)
endif()
install(TARGETS kaddressbook_config_ldap DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kcms/kaddressbook)

=== src/importexport/CMakeLists.txt ===
add_library(KPim6AddressbookImportExport)
add_library(KPim6::AddressbookImportExport ALIAS KPim6AddressbookImportExport)

ecm_setup_version(PROJECT VARIABLE_PREFIX KADDRESSBOOKIMPORTEXPORT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kaddressbookimportexport_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6AddressbookImportExportConfigVersion.cmake"
    SOVERSION 6
)

target_sources(
    KPim6AddressbookImportExport
    PRIVATE
        contactfields.cpp
        contactlist.cpp
        contactselectiondialog.cpp
        contactselectionwidget.cpp
        exportselectionwidget.cpp
        importexportengine.cpp
        plugin.cpp
        plugininterface.cpp
        pluginmanager.cpp
        contactfields.h
        contactlist.h
        contactselectiondialog.h
        contactselectionwidget.h
        exportselectionwidget.h
        importexportengine.h
        plugin.h
        plugininterface.h
        pluginmanager.h
)

ecm_qt_declare_logging_category(KPim6AddressbookImportExport
    HEADER libkaddressbookexportimport_debug.h
    IDENTIFIER LIBKADDRESSBOOKIMPORTEXPORT_LOG
    CATEGORY_NAME org.kde.pim.kaddressbookimportexport
    DESCRIPTION "kaddressbook (kaddressbookimportexport)"
    EXPORT KADDRESSBOOK
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6AddressbookImportExport
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

generate_export_header(KPim6AddressbookImportExport BASE_NAME kaddressbook_importexport)

target_include_directories(
    KPim6AddressbookImportExport
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6;${KDE_INSTALL_INCLUDEDIR}/KPim6/KAddressBookImportExport;${KDE_INSTALL_INCLUDEDIR}/KPim6/KAddressBookImportExport/kaddressbookimportexport>"
)

target_link_libraries(
    KPim6AddressbookImportExport
    PRIVATE
        KF6::Contacts
        KPim6::PimCommon
        KF6::I18n
        KPim6::AkonadiWidgets
)

set_target_properties(
    KPim6AddressbookImportExport
    PROPERTIES
        VERSION
            ${KDEPIM_LIB_VERSION}
        SOVERSION
            ${KDEPIM_LIB_SOVERSION}
        EXPORT_NAME
            AddressbookImportExport
)

install(
    TARGETS
        KPim6AddressbookImportExport
    EXPORT KPim6AddressbookImportExportTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(KaddressbookImportExport_CamelCase_HEADERS
    HEADER_NAMES
    PluginInterface
    Plugin
    PluginManager
    ContactList
    ContactFields
    ContactSelectionDialog
    ContactSelectionWidget
    ImportExportEngine
    ExportSelectionWidget
    REQUIRED_HEADERS KaddressbookImportExport_HEADERS
    PREFIX KAddressBookImportExport
)

######## CMake Config Files ##########

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6AddressbookImportExport")
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimAddressbookImportExportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6AddressbookImportExportConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AddressbookImportExportConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6AddressbookImportExportConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6AddressbookImportExportTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6AddressbookImportExportTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kaddressbookimportexport_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KAddressBookImportExport
    COMPONENT Devel
)

install(
    FILES
        ${KaddressbookImportExport_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KAddressBookImportExport/KAddressBookImportExport
    COMPONENT Devel
)

install(
    FILES
        ${KaddressbookImportExport_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/kaddressbook_importexport_export.h
        contactfields.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KAddressBookImportExport/kaddressbookimportexport
    COMPONENT Devel
)

=== debian/changelog ===
kaddressbook (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:40:22 +0100

=== debian/control ===
Source: kaddressbook
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.2~),
               libakonadicontact-dev (>= 4:25.08.2~),
               libakonadisearch-dev (>= 4:25.08.2~),
               libgrantleetheme-dev (>= 25.08.2~),
               libkdepim-dev (>= 4:25.08.2~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkldap-dev (>= 25.08.2~),
               libkontactinterface-dev (>= 25.08.2~),
               libpimcommon-dev (>= 4:25.08.2~),
               libplasmaactivities-dev (>= 6.1.0~),
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kaddressbook
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaddressbook
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaddressbook
Rules-Requires-Root: no

Package: kaddressbook
Section: utils
Architecture: any
Depends: akonadi-server,
         kaddressbook-data (= ${source:Version}),
         kdepim-runtime [amd64 arm64 armhf i386],
         libakonadisearch-bin,
         libakonadisearch-plugins,
         libkpim6addressbookimportexport6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdepim-addons,
Description: address book and contact data manager
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.

Package: kaddressbook-data
Architecture: all
Multi-Arch: foreign
Replaces: kaddressbook (<< 4:21.04.0~),
Breaks: kaddressbook (<< 4:21.04.0~),
Depends: ${misc:Depends},
Description: address book and contact data manager - data files
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package contains the data files.

Package: libkaddressbook-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpim6addressbookimportexport6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addressbook import export library - development files
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package contains the development files.

Package: libkpim6addressbookimportexport6
Provides: ${ABI:VirtualPackage},
Section: libs
Architecture: any
Multi-Arch: same
Depends: kaddressbook-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addressbook import export library
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package contains the libary used for the import and and export of
 contacts.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kaddressbook 25.08.2+p24.04+vstable+git20251016.0808

=== debian/changelog ===
kaddressbook (4:25.08.2+p24.04+vstable+git20251016.0808-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 08:08:25 +0000

kaddressbook (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:27:34 +0000

## kaddressbook 25.08.2+p24.04+vstable+git20251019.0905

=== debian/changelog ===
kaddressbook (4:25.08.2+p24.04+vstable+git20251019.0905-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 09:05:05 +0000

## kaddressbook 25.08.2+p24.04+vstable+git20251022.0018

=== debian/changelog ===
kaddressbook (4:25.08.2+p24.04+vstable+git20251022.0018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:18:03 +0000

## kaddressbook 25.08.2+p24.04+vstable+git20251031.0256

=== debian/changelog ===
kaddressbook (4:25.08.2+p24.04+vstable+git20251031.0256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 02:56:33 +0000

## kaddressbook 25.08.2+p24.04+vunstable+git20251013.1248

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,15 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.40")
 project(kaddressbook VERSION ${PIM_VERSION})
 # Update it for each release
-set(KADDRESSBOOK_RELEASE_VERSION_DATE "25.10.06") # yy.MM.dd
-
-set(RELEASE_SERVICE_VERSION "25.08.2")
-set(KF_MIN_VERSION "6.14.0")
+set(KADDRESSBOOK_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
+
+set(RELEASE_SERVICE_VERSION "25.11.70")
+set(KF_MIN_VERSION "6.17.0")
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -52,7 +53,7 @@
 include(CheckFunctionExists)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -61,8 +62,8 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_VERSION "6.5.2")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.2")
+set(AKONADI_VERSION "6.5.40")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.40")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -77,12 +78,12 @@
         DBus
         PrintSupport
 )
-set(LIBKDEPIM_LIB_VERSION "6.5.2")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.2")
-set(PIMCOMMON_LIB_VERSION "6.5.2")
-set(AKONADI_SEARCH_VERSION "6.5.2")
-set(AKONADI_CONTACT_VERSION "6.5.2")
-set(KLDAP_LIB_VERSION "6.5.2")
+set(LIBKDEPIM_LIB_VERSION "6.5.40")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.5.40")
+set(PIMCOMMON_LIB_VERSION "6.5.40")
+set(AKONADI_SEARCH_VERSION "6.5.40")
+set(AKONADI_CONTACT_VERSION "6.5.40")
+set(KLDAP_LIB_VERSION "6.5.40")
 
 # Find KF6 package
 find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -145,6 +146,14 @@
 find_package(KPim6AkonadiContactWidgets ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
 find_package(KPim6GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
+
+find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
+
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
+    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
+endif()
+
 include_directories(
     ${kaddressbook_SOURCE_DIR}
     ${kaddressbook_BINARY_DIR}
@@ -153,7 +162,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kaddressbook\")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.16.0
+     KF 6.18.0
 )
 
 if(TARGET KF6::UserFeedbackWidgets)

=== debian/changelog ===
kaddressbook (4:25.08.2+p24.04+vunstable+git20251013.1248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 12:48:36 +0000

=== debian/control ===
Source: kaddressbook
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kauth-dev,
               kf6-kcalendarcore-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kitemviews-dev,
               kf6-knewstuff-dev,
               kf6-knotifyconfig-dev,
               kf6-kservice-dev,
               kf6-ktextaddons-dev,
               kf6-ktexteditor-dev,
               kf6-ktexttemplate-dev,
               kf6-ktextwidgets-dev,
               kf6-kuserfeedback-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-prison-dev,
               kf6-sonnet-dev,
               kf6-syndication-dev,
               kpim6-akonadi-calendar-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-akonadi-search-dev,
               kpim6-calendarsupport-dev,
               kpim6-eventviews-dev,
               kpim6-grantleetheme-dev,
               kpim6-incidenceeditor-dev,
               kpim6-kcalendarutils-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kimap-dev,
               kpim6-kldap-dev,
               kpim6-kmailtransport-dev,
               kpim6-kmbox-dev,
               kpim6-kmime-dev,
               kpim6-kontactinterface-dev,
               kpim6-kpimtextedit-dev,
               kpim6-ktnef-dev,
               kpim6-libgravatar-dev,
               kpim6-libgravatar-dev,
               kpim6-libkdepim-dev,
               kpim6-libkgapi-dev,
               kpim6-libkleo-dev,
               kpim6-libksieve-dev,
               kpim6-mailcommon-dev,
               kpim6-mailimporter-dev,
               kpim6-messagelib-dev,
               kpim6-pimcommon-dev,
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libgpgmepp-dev | libqgpgme15-qt6-dev,
               libkgantt-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-phonon-dev,
               qt6-tools-dev,
               qt6-webchannel-dev,
               qt6-webengine-dev,
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kaddressbook.git
Vcs-Browser: https://invent.kde.org/neon/kde/kaddressbook
Maintainer: Neon CI <neon@kde.org>

Package: kaddressbook
Section: utils
Architecture: any
Depends: kpim6-akonadi-search, ${misc:Depends}, ${shlibs:Depends}
Description: address book and contact data manager
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.

Package: kaddressbook-dev
Section: utils
Architecture: any
Depends: kaddressbook, ${misc:Depends}, ${shlibs:Depends}
Description: address book and contact data manager - dev files
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 KAddressBook Development Files.

## kaddressbook 25.08.2+p24.04+vunstable+git20251015.0715

=== CMakeLists.txt ===
--- 
+++ 
@@ -162,7 +162,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kaddressbook\")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.18.0
+     KF 6.19.0
 )
 
 if(TARGET KF6::UserFeedbackWidgets)

=== debian/changelog ===
kaddressbook (4:25.08.2+p24.04+vunstable+git20251015.0715-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:15:16 +0000

## kaddressbook 25.08.2+p24.04+vunstable+git20251022.0019

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set(KADDRESSBOOK_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
 
 set(RELEASE_SERVICE_VERSION "25.11.70")
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kaddressbook (4:25.08.2+p24.04+vunstable+git20251022.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:19:18 +0000

## kaddressbook 25.08.3

=== debian/changelog ===
kaddressbook (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.
  * Fix the tests.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:24:34 +0100

kaddressbook (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:50:09 +0100

=== debian/control ===
Source: kaddressbook
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.3~),
               libakonadicontact-dev (>= 4:25.08.3~),
               libakonadisearch-dev (>= 4:25.08.3~),
               libgrantleetheme-dev (>= 25.08.3~),
               libkdepim-dev (>= 4:25.08.3~),
               libkf6colorscheme-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6userfeedback-dev (>= 6.14.0~),
               libkldap-dev (>= 25.08.3~),
               libkontactinterface-dev (>= 25.08.3~),
               libpimcommon-dev (>= 4:25.08.3~),
               libplasmaactivities-dev (>= 6.3.0~),
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kaddressbook
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaddressbook
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaddressbook.git
Rules-Requires-Root: no

Package: kaddressbook
Section: utils
Architecture: any
Depends: akonadi-server,
         kaddressbook-data (= ${source:Version}),
         kdepim-runtime [amd64 arm64 armhf i386],
         libakonadisearch-bin,
         libakonadisearch-plugins,
         libkpim6addressbookimportexport6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kdepim-addons,
Description: address book and contact data manager
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.

Package: kaddressbook-data
Architecture: all
Multi-Arch: foreign
Replaces: kaddressbook (<< 4:21.04.0~),
Breaks: kaddressbook (<< 4:21.04.0~),
Depends: ${misc:Depends},
Description: address book and contact data manager - data files
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package contains the data files.

Package: libkaddressbook-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpim6addressbookimportexport6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addressbook import export library - development files
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package contains the development files.

Package: libkpim6addressbookimportexport6
Provides: ${ABI:VirtualPackage},
Section: libs
Architecture: any
Multi-Arch: same
Depends: kaddressbook-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Addressbook import export library
 KAddressBook enables you to manage your contacts efficiently and comfortably.
 It can load and save your contacts to many different locations, including
 the local file system, LDAP servers, and SQL databases.
 .
 This package contains the libary used for the import and and export of
 contacts.

=== debian/rules ===
--- 
+++ 
@@ -23,5 +23,4 @@
 	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)
 
 override_dh_auto_test:
-	# Disable dh_auto_test at build time
-	:
+	xvfb-run -a -- dh_auto_test

## kaddressbook 25.08.3+p24.04+vunstable+git20251204.0333

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,13 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.6.40")
 project(kaddressbook VERSION ${PIM_VERSION})
 # Update it for each release
-set(KADDRESSBOOK_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
-
-set(RELEASE_SERVICE_VERSION "25.11.70")
-set(KF_MIN_VERSION "6.18.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KADDRESSBOOK_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
+
+set(RELEASE_SERVICE_VERSION "26.03.40")
+set(KF_MIN_VERSION "6.19.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -62,8 +61,8 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_VERSION "6.5.40")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.40")
+set(AKONADI_VERSION "6.6.40")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.40")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -78,12 +77,12 @@
         DBus
         PrintSupport
 )
-set(LIBKDEPIM_LIB_VERSION "6.5.40")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.40")
-set(PIMCOMMON_LIB_VERSION "6.5.40")
-set(AKONADI_SEARCH_VERSION "6.5.40")
-set(AKONADI_CONTACT_VERSION "6.5.40")
-set(KLDAP_LIB_VERSION "6.5.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.41")
+set(AKONADI_SEARCH_VERSION "6.6.40")
+set(AKONADI_CONTACT_VERSION "6.6.40")
+set(KLDAP_LIB_VERSION "6.6.40")
 
 # Find KF6 package
 find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -146,13 +145,9 @@
 find_package(KPim6AkonadiContactWidgets ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
 find_package(KPim6GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(KTEXTADDONS_MIN_VERSION "1.8.82")
 
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
-
-if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
-    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
-endif()
 
 include_directories(
     ${kaddressbook_SOURCE_DIR}
@@ -162,7 +157,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kaddressbook\")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.19.0
+     KF 6.20.0
 )
 
 if(TARGET KF6::UserFeedbackWidgets)
@@ -188,7 +183,7 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.3.0")
+            find_package(PlasmaActivities "6.4.0")
             set_package_properties(
                 PlasmaActivities
                 PROPERTIES

=== debian/changelog ===
kaddressbook (4:25.08.3+p24.04+vunstable+git20251204.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 03:33:27 +0000

kaddressbook (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:44:43 +1000

## kaddressbook 25.08.3+p24.04+vunstable+git20251206.1023

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set(KADDRESSBOOK_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
 
 set(RELEASE_SERVICE_VERSION "26.03.40")
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
kaddressbook (4:25.08.3+p24.04+vunstable+git20251206.1023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 10:23:22 +0000
